function love.load()
    love.graphics.setFont(12)
    text = "Nothing yet"
	width = love.graphics.getWidth( )
	height = love.graphics.getHeight( )
	mgreen = 100

	trail = 100
	spacing = .1
	counter = 0

	--position arrays
	xpos = {}
	ypos = {}
	
	--color arrays
	rc = {}
	gc = {}
	bc = {}

end

function love.update(dt)
counter = counter + 1
mouse_x = love.mouse.getX()
mouse_y = love.mouse.getY()

mred = 255 * mouse_x / width
mblue = 255 * mouse_y / height
if mgreen > 255 then mgreen = 0 elseif mgreen < 0 then mgreen = 255 end
love.graphics.setColor( mred, mgreen, mblue, 255)

r, g, b, a = love.graphics.getColor( )
if counter >= spacing then
	table.insert(xpos,mouse_x)
	table.insert(ypos,mouse_y)
	table.insert(rc,r)
	table.insert(gc,g)
	table.insert(bc,b)
	counter = 0
end

if table.getn(xpos) > trail then
	table.remove(xpos, 1)
	table.remove(ypos, 1)
	table.remove(rc,1)
	table.remove(gc,1)
	table.remove(bc,1)
	
end
cur = table.getn(xpos)
text = counter .." ".. table.getn(xpos) .. "\n" .. rc[cur] .." ".. bc[cur] .." ".. gc[cur]
end

function love.draw()
      love.graphics.print( text, 330, 300 )
	  love.graphics.print( "Mouse X: ".. mouse_x .. " Mouse Y: " .. mouse_y, 10, 20 )
	  for i,v in ipairs(xpos) do
	  calpha = i/trail * 255
	  love.graphics.setColor( rc[i], gc[i], bc[i], calpha)

		love.graphics.circle("fill",xpos[i], ypos[i], 32, 50 )
	  end

end

function love.keypressed( key )

   if key == 'h' then
   if love.mouse.isVisible() then
      love.mouse.setVisible(false)
   else
      love.mouse.setVisible(true)
   end
end
end

function love.mousepressed(x, y, button)
   if button == 'l' then
	  mgreen = mgreen - 10
      text = "Mouse button left is pressed\n"
   end
   if love.mouse.isDown("r") then
	  text = "Mouse button right is pressed"
	  mgreen = mgreen + 10
   end

end

function love.mousereleased(x, y, button)
   if button == 'l' then
      text = "Mouse button left is released "..  tostring(mgreen)
   end
   if button == 'r' then
		text = "Mouse button right is pressed ".. tostring(mgreen)
	end
end